ICQ protocol update [March 2009]

Bug #340151 reported by Andreas Moog
236
This bug affects 35 people
Affects Status Importance Assigned to Milestone
Hardy Backports
High
Martin Pitt
The Dell Mini Project
Undecided
Unassigned
gaim (Ubuntu)
Undecided
Unassigned
Dapper
High
Unassigned
Gutsy
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
pidgin (Ubuntu)
High
Unassigned
Dapper
High
Unassigned
Gutsy
Undecided
Martin Pitt
Hardy
High
Unassigned
Intrepid
High
Didier Roche
Jaunty
High
Unassigned

Bug Description

Binary package hint: pidgin

Please update the version of pidgin to 2.5.5. Recent protocol updates for ICQ stopped older versions to stop working. This has a major impact on the usability of Ubuntu. I've built version 2.5.5 by using Pbuilder and the ppa-build machines (buildlog for i386 attached). The built went without error.

From the NEWS-File:

2.5.5 (03/01/2009):
        John: Well, yet another release with bug fixing and patches. Hopefully
        one of the fixed bugs is one that irritated you. Also, thank Dimmuxx
        for spending far too much time working on ICQ this release.

        Elliott: Lots and lots of MSN bugfixes again (I hope they're fixed, at
        least). I think we finally have OCS/Yahoo!/federated buddies working
        now. And there should be some workarounds for some server things that
        may or may not have been our fault (like buddies on Allow+Block) which
        should make general usage a bit smoother.

Revision history for this message
Andreas Moog (ampelbein) wrote :
Revision history for this message
Andreas Moog (ampelbein) wrote :
Revision history for this message
Andreas Moog (ampelbein) wrote :
Changed in pidgin:
importance: Undecided → High
Revision history for this message
Andreas Moog (ampelbein) wrote :
Revision history for this message
Andreas Moog (ampelbein) wrote :

Fixed:
pidgin (1:2.5.5-1ubuntu1) jaunty; urgency=low

  * Merge from debian, remaining changes: (LP: #316636, #336647)
    - debian/control:
      + Add Build-Deps on liblaunchpad-integration-dev, intltool,
      network-manager-dev
      + Add epoch in dependencies
      + Drop the libpurple0 dependency on libpurple-bin
    - debian/libpurple0.symbols: add epoch to symbol
    - debian/pidgin-dbg.preinst, debian/pidgin-dev.preinst,
      debian/pidgin.preinst: add epoch
    - Update debian/prefs.xml to set the notify plugin prefs
      /plugins/gtk/X11/notify/*, set /pidgin/plugins/loaded to load
      the notify plugin and enable the standard logging options by default
    - debian/rules:
      + remove --disable-nm as nm has been fixed in Ubuntu
      + Add X-Ubuntu-Gettext-Domain to the desktop file and update the
        translation templates in common-install-impl::
    - debian/patches:
      + 02_lpi.patch for LP integration
      + 04_let_crasher_for_apport.patch to stop catching the SIGSEGV signal
        and let apport handle it
      + 05_default_to_irc_ubuntu_com.patch to set the default IRC
        server to irc.ubuntu.com
      + 70_autoconf.patch
      + 60_1024x600_gtk*.c.patch: Add scrolled bars into account dialog,
        pounce windows and preference window when screen height is less than 600.
  * Adapt debian/patches/02_lpi.patch
  * Re-generate debian/patches/70_autoconf.patch
  * Remove debian/patches/fix-icons-backport-from-2.5.5mtn.diff as taken
    upstream

Date: Mon, 09 Mar 2009 23:25:48 +0100
Changed-By: Didier Roche <email address hidden>
Maintainer: Ubuntu Core Developers <email address hidden>
Signed-By: Sebastien Bacher <email address hidden>
https://launchpad.net/ubuntu/jaunty/+source/pidgin/1:2.5.5-1ubuntu1

Changed in pidgin:
status: New → Fix Released
Revision history for this message
Thomas Schewe (thosch66) wrote :

Fixed?! Seems to me like it is fixed _only_ in Jaunty.

But Jaunty is only the actual beta/RC and there are three more still supported releases of there! I think there is still work to do.

Revision history for this message
Martin Pitt (pitti) wrote : Re: ICQ protocol update

Andreas, do you want to look into isolating the patch and backport it to previous releases? If not, please let me know, I'll find someone else. Thanks!

Changed in pidgin:
importance: Undecided → High
status: New → Triaged
Revision history for this message
Martin Pitt (pitti) wrote :

ubuntu-sru subscribed, ubuntu-release unsubscribed.

Revision history for this message
Ilya Barygin (randomaction) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

Thanks, Ilya!

Revision history for this message
Martin Pitt (pitti) wrote :

Didier is looking into this.

Changed in pidgin:
assignee: nobody → didrocks
Revision history for this message
Marian Sigler (maix42) wrote :

Why is it marked as Undecided in Hardy, Gutsy and Dapper? Please someone mark it as High there, too, I am not allowed to do so.

Revision history for this message
Sebastien Bacher (seb128) wrote :

there is no need to add extra comments to confirm that issues or discuss settings, the bug is being worked, the change works on intrepid and will be uploaded at least as intrepid and hardy candidate updates today

Changed in pidgin:
importance: Undecided → High
status: New → Confirmed
importance: Undecided → High
status: New → Confirmed
Revision history for this message
Sebastien Bacher (seb128) wrote :

declining the gutsy task, is there somebody still using that non lts version there?

Revision history for this message
Didier Roche (didrocks) wrote :

Intrepid and Hardy fix proposed with the patch pointed by Ilya B (thanks!)
2 bzr branches proposed for ease of review.

Changed in pidgin:
status: Confirmed → Triaged
assignee: didrocks → nobody
Revision history for this message
Sebastien Bacher (seb128) wrote :

looking to those

Revision history for this message
Sebastien Bacher (seb128) wrote :

intrepid version uploaded

Revision history for this message
Sebastien Bacher (seb128) wrote :

hardy version uploaded

Didier Roche (didrocks)
Changed in gaim:
status: New → Invalid
importance: Undecided → High
status: New → Triaged
status: New → Invalid
status: New → Invalid
Changed in pidgin:
status: Confirmed → Invalid
Revision history for this message
Didier Roche (didrocks) wrote :

gaim debdiff for dapper attached.

The patch is slightly modified as the function call differs.
Test is welcome on this version :)

Revision history for this message
Raeff (raeff) wrote :

Sebastian, I have a possibly stupid question: where did you upload the intrepid version?

Kind regards, Bernhard.

Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pidgin:
status: Triaged → Fix Committed
status: Triaged → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gaim:
status: New → Invalid
Revision history for this message
Martin Pitt (pitti) wrote :

I just tested the current dapper version, and it works just fine with ICQ, so it seems gaim is not affected at all.

Changed in gaim:
status: Triaged → Invalid
Revision history for this message
Lars Volker (lv) wrote :

I enabled proposed for hardy and ran "aptitude update" but still nothing happens when running "aptitude -t hardy-proposed install pidgin". What am I missing?

Revision history for this message
rg1983@gmx.de (rg1983) wrote :

Thanks for the package!

Is it because of multiple Mirrors, that it takes some time to come up through the update channel via apt-get update?

Revision history for this message
Sebastien Bacher (seb128) wrote :

I downloaded the hardy debs on launchpad and confirm they fix the issue

Revision history for this message
Rob Funk (rfunk) wrote :

Similar to Lars above, I enabled intrepid-proposed and tried "apt-get install -t intrepid-proposed pidgin", but got nothing.
apt-cache show says that the newer version is known. So then I tried downloading manually and installing with dpkg. This led down a trail of dependency upgrades, including libdbus-glib-1-2, libgtk2.0-0, libnspr4-0d, libnss3-1d, perl, libxi6 (from libgtk2.0-0).... I decided I wasn't up for upgrading perl or an X library from -proposed.

Revision history for this message
Martin Pitt (pitti) wrote :

Yes, it'll still take a bit until the packages get built and pushed to all mirrors.

Changed in pidgin:
assignee: nobody → pitti
status: New → In Progress
assignee: nobody → didrocks
Revision history for this message
Steve Langasek (vorlon) wrote :

Accepted into gutsy-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in pidgin:
status: In Progress → Fix Committed
Revision history for this message
Ilya Barygin (randomaction) wrote : Re: [Bug 340151]

The fix works for me in Intrepid (it's already in the repos).

Revision history for this message
Volodymyr Shcherbyna (volodymyr) wrote :

I've updated to 2.5.5 and the problem still persist ...

Revision history for this message
Dragomir Minkovski (dejuren) wrote :

The fix works in Gutsy. You need to upgrade pidgin-data and libpurple0 as well.

Revision history for this message
rg1983@gmx.de (rg1983) wrote :

Hardy package works fine. Just activate the hardy-proposed repository and update pidgin.

Revision history for this message
Kevin Hausmann (salema) wrote :

Intrepid package works just fine for me. Thanks for being that fast!

Revision history for this message
Hanno Stock (hefe_bia) (hanno-stock) wrote :

Intrepid package works for me, too. Thanks!

Revision history for this message
Martin Pitt (pitti) wrote :

Due to the urgency of this update I waive the 7 days maturing period. We have plenty of positive feedback and the patch is very focused and straightforward. Thanks everyone for feedback and reporting back!

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.2.1-1ubuntu4.4

---------------
pidgin (1:2.2.1-1ubuntu4.4) gutsy-proposed; urgency=low

  * Add 80_fix_ICQ_new_protocol.patch: Backport upstream patch to fix
    connection with new ICQ protocol. (LP: #340151)

 -- Martin Pitt <email address hidden> Tue, 10 Mar 2009 20:47:37 +0100

Changed in pidgin:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.4.1-1ubuntu2.3

---------------
pidgin (1:2.4.1-1ubuntu2.3) hardy-proposed; urgency=low

  * Apply upstream patch to fix connexion issue with new ICQ
    protocol: debian/patches/80_fix_ICQ_new_protocol.patch (LP: #340151)

 -- Didier Roche <email address hidden> Tue, 10 Mar 2009 18:31:01 +0100

Changed in pidgin:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pidgin - 1:2.5.2-0ubuntu1.1

---------------
pidgin (1:2.5.2-0ubuntu1.1) intrepid-proposed; urgency=low

  * Apply patch upstream to fix connexion issue with new ICQ
    protocol: debian/patches/80_fix_ICQ_new_protocol.patch (LP: #340151)

 -- Didier Roche <email address hidden> Tue, 10 Mar 2009 17:02:52 +0100

Changed in pidgin:
status: Fix Committed → Fix Released
Revision history for this message
Marian Sigler (maix42) wrote :

I can also confirm that the hardy-proposed packages is working fine.

Revision history for this message
Laszlo Kupcsik (koopac) wrote :

Works intrepid. Thanks a lot for the fix!

Revision history for this message
moojix (moojix) wrote :

thanks for this fast update in Intrepid, ICQ protocol works again.

Revision history for this message
tbjablin (tjablin) wrote :

hardy-backports still suffers from this bug.

Revision history for this message
Chris Coulson (chrisccoulson) wrote :

Confirming that there is still an outstanding hardy-backports task on this bug.

Changed in hardy-backports:
importance: Undecided → High
status: New → Triaged
Revision history for this message
daqron (daqron) wrote :

Update fixed ICQ protocol but appears to have created an incompatibility with the pidgin-facebookchat plugin.

Revision history for this message
BooVeMan (burkhard-vogel) wrote :

@dragon - this affects Jaunty? Intrepid? Hardy? Gutsy?

Revision history for this message
Matthias Blaicher (blaicher) wrote : Re: [Bug 340151] Re: ICQ protocol update [March 2009]

On Thu, Mar 12, 2009 at 9:58 PM, BooVeMan <email address hidden> wrote:
> @dragon - this affects Jaunty? Intrepid? Hardy? Gutsy?
Facebook plugin works for me with Jaunty.

Revision history for this message
Dominik Holler (dominik-holler) wrote :

is the fix released for 8.04/PPC, too ?

Revision history for this message
Szabolcs Parragh (parszab) wrote :

Sorry guys, but will this fix not make it into hardy-backports?

Revision history for this message
Fionn (fbe) wrote :

Yes, please, I have been waiting for a week for the fix on hardy now, still no luck :-(

So I'd like to say "me too" here!!1! ;-) And: "pleeze, send filez"

Revision history for this message
daqron (daqron) wrote :

@ Matthias, BooVeMan - Sorry; I'm on Intrepid. I tried reinstalling the facebookchat plugin with no luck. The facebook option is completely gone from the account settings menu. Certainly this could be caused by something else (although it happened immediately after this update) and I am not ruling out user error here, but it seems like removing/reinstalling the plugin ought to have worked. Cheers in advance for any suggestions.

Revision history for this message
Szabolcs Parragh (parszab) wrote :

As I see it, the problem with Hardy is that the version in backports (2.5.2) doesn't have the fix, only the stable repository version (2.4.1.) Therefore if you have backports enabled, you won't get a good version, which ICQ works with.

You'll have to disable backports, remove the podgin and pidgin-data packages, and reinstall them from tha stable repo. This is a workaround, but not the best: if you enable backports again, it will want to upgrade again for a bad version. Could you guys please put a version with the fix in the backports repo, too?

Revision history for this message
BooVeMan (burkhard-vogel) wrote :

> Could you guys please put a version with the fix in the [Hardy-]backports repo, too?
+1

Revision history for this message
Ilya Barygin (randomaction) wrote :

This is the debdiff for hardy-backports (just reproducing Didier's changes), please review. I also linked a branch.

Revision history for this message
Martin Pitt (pitti) wrote :

Taking for sponsoring.

Changed in hardy-backports:
assignee: nobody → pitti
status: Triaged → In Progress
Revision history for this message
Martin Pitt (pitti) wrote :

Sponsored and accepted.

Changed in hardy-backports:
status: In Progress → Fix Released
Revision history for this message
BooVeMan (burkhard-vogel) wrote :

Thanks a bunch for the backport - Good work!

Changed in dell-mini:
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers